stl_vector.h File Reference

Go to the source code of this file.

## Classes

struct | std::_Vector_base< _Tp, _Alloc >
class | std::vector< _Tp, _Alloc >

## Namespaces

namespace | std
namespace | std::__detail

## Macros

#define | _GLIBCXX_ASAN_ANNOTATE_BEFORE_DEALLOC
#define | _GLIBCXX_ASAN_ANNOTATE_GREW(n)
#define | _GLIBCXX_ASAN_ANNOTATE_GROW(n)
#define | _GLIBCXX_ASAN_ANNOTATE_REINIT
#define | _GLIBCXX_ASAN_ANNOTATE_SHRINK(n)

## Functions

template<typename _Tp , typename _Alloc >
constexpr __detail::__synth3way_t< _Tp > | std::operator<=> (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
constexpr bool | std::operator== (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
constexpr void | std::swap (vector< _Tp, _Alloc > &__x, vector< _Tp, _Alloc > &__y) noexcept(/*conditional */)
template<typename _InputIterator , typename _ValT = typename iterator_traits<_InputIterator>::value_type, typename _Allocator = allocator<_ValT>, typename = _RequireInputIter<_InputIterator>, typename = _RequireAllocator<_Allocator>>
| std::vector (_InputIterator, _InputIterator, _Allocator=_Allocator()) -> vector< _ValT, _Allocator >

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <vector>.

Definition in file stl_vector.h.

## Macro Definition Documentation

## _GLIBCXX_ASAN_ANNOTATE_BEFORE_DEALLOC

#define _GLIBCXX_ASAN_ANNOTATE_BEFORE_DEALLOC

Definition at line 291 of file stl_vector.h.

## _GLIBCXX_ASAN_ANNOTATE_GREW

#define _GLIBCXX_ASAN_ANNOTATE_GREW | ( |  | n | ) |

Definition at line 289 of file stl_vector.h.

## _GLIBCXX_ASAN_ANNOTATE_GROW

#define _GLIBCXX_ASAN_ANNOTATE_GROW | ( |  | n | ) |

Definition at line 288 of file stl_vector.h.

## _GLIBCXX_ASAN_ANNOTATE_REINIT

#define _GLIBCXX_ASAN_ANNOTATE_REINIT

Definition at line 287 of file stl_vector.h.

## _GLIBCXX_ASAN_ANNOTATE_SHRINK

#define _GLIBCXX_ASAN_ANNOTATE_SHRINK | ( |  | n | ) |

Definition at line 290 of file stl_vector.h.